<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dynamic_report', function (Blueprint $table) {
            $table->text("content")->comment("举报描述")->after("status");
            $table->text("remark")->nullable()->comment("处理备注")->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('dynamic_report', function (Blueprint $table) {
            $table->dropColumn("content");
        });
    }
};
